CI: Delete old Sauce Connect logic

This commit is contained in:
Richard Hansen 2021-02-22 04:37:57 -05:00 committed by John McLear
parent 9b03f8f6ab
commit 773959ec57
3 changed files with 0 additions and 45 deletions

View file

@ -6,9 +6,6 @@ error() { log "ERROR: $@" >&2; }
fatal() { error "$@"; exit 1; } fatal() { error "$@"; exit 1; }
try() { "$@" || fatal "'$@' failed"; } try() { "$@" || fatal "'$@' failed"; }
[ -n "${SAUCE_USERNAME}" ] || fatal "SAUCE_USERNAME is unset - exiting"
[ -n "${SAUCE_ACCESS_KEY}" ] || fatal "SAUCE_ACCESS_KEY is unset - exiting"
# Move to the Etherpad base directory. # Move to the Etherpad base directory.
MY_DIR=$(try cd "${0%/*}" && try pwd -P) || exit 1 MY_DIR=$(try cd "${0%/*}" && try pwd -P) || exit 1
try cd "${MY_DIR}/../../../.." try cd "${MY_DIR}/../../../.."
@ -38,7 +35,6 @@ log "Starting the remote runner..."
node remote_runner.js admin node remote_runner.js admin
exit_code=$? exit_code=$?
kill "$(cat /tmp/sauce.pid)"
kill "$ep_pid" && wait "$ep_pid" kill "$ep_pid" && wait "$ep_pid"
log "Done." log "Done."
exit "$exit_code" exit "$exit_code"

View file

@ -6,9 +6,6 @@ error() { log "ERROR: $@" >&2; }
fatal() { error "$@"; exit 1; } fatal() { error "$@"; exit 1; }
try() { "$@" || fatal "'$@' failed"; } try() { "$@" || fatal "'$@' failed"; }
[ -n "${SAUCE_USERNAME}" ] || fatal "SAUCE_USERNAME is unset - exiting"
[ -n "${SAUCE_ACCESS_KEY}" ] || fatal "SAUCE_ACCESS_KEY is unset - exiting"
# Move to the Etherpad base directory. # Move to the Etherpad base directory.
MY_DIR=$(try cd "${0%/*}" && try pwd -P) || exit 1 MY_DIR=$(try cd "${0%/*}" && try pwd -P) || exit 1
try cd "${MY_DIR}/../../../.." try cd "${MY_DIR}/../../../.."
@ -38,7 +35,6 @@ log "Starting the remote runner..."
node remote_runner.js node remote_runner.js
exit_code=$? exit_code=$?
kill "$(cat /tmp/sauce.pid)"
kill "$ep_pid" && wait "$ep_pid" kill "$ep_pid" && wait "$ep_pid"
log "Done." log "Done."
exit "$exit_code" exit "$exit_code"

View file

@ -1,37 +0,0 @@
#!/bin/sh
pecho() { printf %s\\n "$*"; }
log() { pecho "$@"; }
error() { log "ERROR: $@" >&2; }
fatal() { error "$@"; exit 1; }
try() { "$@" || fatal "'$@' failed"; }
[ -n "${SAUCE_USERNAME}" ] || fatal "SAUCE_USERNAME is unset - exiting"
[ -n "${SAUCE_ACCESS_KEY}" ] || fatal "SAUCE_ACCESS_KEY is unset - exiting"
# download and unzip the sauce connector
#
# ACHTUNG: as of 2019-12-21, downloading sc-latest-linux.tar.gz does not work.
# It is necessary to explicitly download a specific version, for example
# https://saucelabs.com/downloads/sc-4.5.4-linux.tar.gz Supported versions are
# currently listed at:
# https://wiki.saucelabs.com/display/DOCS/Downloading+Sauce+Connect+Proxy
try curl -o /tmp/sauce.tar.gz \
https://saucelabs.com/downloads/sc-4.6.2-linux.tar.gz
try tar zxf /tmp/sauce.tar.gz --directory /tmp
try mv /tmp/sc-*-linux /tmp/sauce_connect
# start the sauce connector in background and make sure it doesn't output the
# secret key
try rm -f /tmp/tunnel
/tmp/sauce_connect/bin/sc \
--user "${SAUCE_USERNAME}" \
--key "${SAUCE_ACCESS_KEY}" \
-i "${TRAVIS_JOB_NUMBER}" \
--pidfile /tmp/sauce.pid \
--readyfile /tmp/tunnel >/dev/null &
# wait for the tunnel to build up
while ! [ -e "/tmp/tunnel" ]; do
sleep 1
done